aboutsummaryrefslogtreecommitdiff
path: root/radicale_infcloud/web/cache_update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'radicale_infcloud/web/cache_update.sh')
-rwxr-xr-xradicale_infcloud/web/cache_update.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/radicale_infcloud/web/cache_update.sh b/radicale_infcloud/web/cache_update.sh
new file mode 100755
index 0000000..77f8670
--- /dev/null
+++ b/radicale_infcloud/web/cache_update.sh
@@ -0,0 +1,5 @@
+#! /bin/bash
+# Use this script every time you modify any file to force browsers to reload it (empty HTML5 cache).
+
+command -v ed &> /dev/null || { echo "Error: 'ed' not installed. Aborting." > /dev/stderr; exit 1; }
+printf ",s/#V.*/#V $(date '+%Y%m%d%H%M%S')/\nw\nq\n" | ed -s cache.manifest
bgstack15